Bug 611327 - Zend_Tool problem in create new module
Zend_Tool problem in create new module
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: php-ZendFramework (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Felix Kaechele
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-04 17:21 EDT by Mario Santagiuliana
Modified: 2010-12-03 08:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:31:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mario Santagiuliana 2010-07-04 17:21:31 EDT
Description of problem:
Start new Zend Framework project. Create the default module and need to edit by hand application.ini to add:
resources.frontController.moduleDirectory = APPLICATION_PATH "/modules"


Version-Release number of selected component (if applicable):
$ rpm -qa|grep php-Zend
php-ZendFramework-Services-1.10.5-1.fc12.noarch
php-ZendFramework-1.10.5-1.fc12.noarch

Steps to Reproduce:
$ mkdir prova
$ zf create project prova
Creating project at /home/mario/public_html/prova
Note: This command created a web project, for more information setting up your VHOST, please see docs/README

$ cd prova
$ vim public/.htaccess #<---need to set rewritebase
$ zf create module default
Creating the following module and artifacts:
/home/mario/public_html/prova/application/modules/default/controllers
/home/mario/public_html/prova/application/modules/default/models
/home/mario/public_html/prova/application/modules/default/views
/home/mario/public_html/prova/application/modules/default/views/scripts
/home/mario/public_html/prova/application/modules/default/views/helpers
/home/mario/public_html/prova/application/modules/default/views/filters
Added a key for the default module to the application.ini file
Updating project profile '/home/mario/public_html/prova/.zfproject.xml'

$ zf create controller Index 1 default
Creating a controller at /home/mario/public_html/prova/application/modules/default/controllers/IndexController.php
Creating an index action method in controller Index
Creating a view script for the index action method at /home/mario/public_html/prova/application/modules/default/views/scripts/index/index.phtml
Creating a controller test file at /home/mario/public_html/prova/tests/application/controllers/IndexControllerTest.php
Updating project profile '/home/mario/public_html/prova/.zfproject.xml'

Actual results:
Go to:
http://localhost/~mario/prova/public/
Got error:
Zend_Controller_Dispatcher_Exception: Invalid controller class ("Default_ErrorController") in /usr/share/php/Zend/Controller/Dispatcher/Standard.php on line 352

Expected results:
View default's Index Controller page.

Additional info:
Edit application.ini add:
resources.frontController.moduleDirectory = APPLICATION_PATH "/modules"
$ cat application/configs/application.ini 
[production]
phpSettings.display_startup_errors = 0
phpSettings.display_errors = 0
includePaths.library = APPLICATION_PATH "/../library"
bootstrap.path = APPLICATION_PATH "/Bootstrap.php"
bootstrap.class = "Bootstrap"
appnamespace = "Application"
resources.frontController.controllerDirectory = APPLICATION_PATH "/controllers"
resources.frontController.params.displayExceptions = 0
resources.frontController.params.prefixDefaultModule = "1"
resources.frontController.moduleDirectory = APPLICATION_PATH "/modules"

[staging : production]

[testing : production]
phpSettings.display_startup_errors = 1
phpSettings.display_errors = 1

[development : production]
phpSettings.display_startup_errors = 1
phpSettings.display_errors = 1
resources.frontController.params.displayExceptions = 1

Go to http://localhost/~mario/prova/public/ and all work like expected.
Comment 1 Felix Kaechele 2010-07-25 06:40:10 EDT
I submitted a new version of Zend Framework and it should hit upates-testing soon. Maybe you can try if you are able to reproduce the issue on that version.
Comment 2 Mario Santagiuliana 2010-07-27 03:57:08 EDT
Update packages from updates-testing:
$ rpm -qa|grep php-Zend|sort
php-ZendFramework-1.10.6-1.fc12.noarch
php-ZendFramework-Dojo-1.10.6-1.fc12.noarch
php-ZendFramework-Services-1.10.6-1.fc12.noarch

Same problem. Need to add by hand in the application.ini this:
resources.frontController.moduleDirectory = APPLICATION_PATH "/modules"

P.S. I'm doing other test on new package to give a positive karma.
Comment 3 Felix Kaechele 2010-07-27 04:16:09 EDT
I actually started developing a ZF application just yesterday and ran into the same problem there. I will report it upstream and have it fixed there.
Comment 4 Felix Kaechele 2010-07-27 04:28:35 EDT
There is already an upstream bug filed at http://framework.zend.com/issues/browse/ZF-8306
I will poke them and ask what's going on there.
Comment 5 Bug Zapper 2010-11-03 08:31:04 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-12-03 08:31:39 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.